OpenTTD: MissingGlyphSearcher Class Reference

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
MissingGlyphSearcher Class Reference

A searcher for missing glyphs. More...

`#include <strings_func.h>`

Inheritance diagram for MissingGlyphSearcher:

## Public Member Functions
virtual | ~MissingGlyphSearcher ()
| Make sure everything gets destructed right.
virtual const char * | NextString ()=0
| Get the next string to search through.
virtual FontSize | DefaultSize ()=0
| Get the default (font) size of the string.
virtual void | Reset ()=0
| Reset the search, i.e.
virtual bool | Monospace ()=0
| Whether to search for a monospace font or not.
virtual void | SetFontNames (struct FreeTypeSettings *settings, const char *font_name)=0
| Set the right font names.
bool | FindMissingGlyphs (const char **str)
| Check whether there are glyphs missing in the current language.

## Detailed Description

A searcher for missing glyphs.

Definition at line 203 of file strings_func.h.

## Constructor & Destructor Documentation

virtual MissingGlyphSearcher::~MissingGlyphSearcher | ( |  | ) |
| inlinevirtual

Make sure everything gets destructed right.

Definition at line 206 of file strings_func.h.

## Member Function Documentation

virtual FontSize MissingGlyphSearcher::DefaultSize | ( |  | ) |
| pure virtual

Get the default (font) size of the string.

Returns
  The font size.

Implemented in TextfileWindow.

Referenced by FindMissingGlyphs().

bool MissingGlyphSearcher::FindMissingGlyphs | ( | const char ** | str | ) |

Check whether there are glyphs missing in the current language.

Parameters

  Pointer | to an address for storing the text pointer.

Returns
  If glyphs are missing, return `true`, else return `false`.

Postcondition
  If `true` is returned and str is not NULL, *str points to a string that is found to contain at least one missing glyph.

Definition at line 2003 of file strings.cpp.

References DefaultSize(), FS_BEGIN, FS_LARGE, FS_MONO, FS_SMALL, GetGlyph(), InitFreeType(), IsInsideMM(), IsTextDirectionChar(), Monospace(), NextString(), Reset(), SCC_BIGFONT, and SCC_TINYFONT.

Referenced by CheckForMissingGlyphs(), and SetFallbackFont().

virtual bool MissingGlyphSearcher::Monospace | ( |  | ) |
| pure virtual

Whether to search for a monospace font or not.

Returns
  True if searching for monospace.

Implemented in TextfileWindow.

Referenced by CheckForMissingGlyphs(), FindMissingGlyphs(), and SetFallbackFont().

virtual const char* MissingGlyphSearcher::NextString | ( |  | ) |
| pure virtual

Get the next string to search through.

Returns
  The next string or NULL if there is none.

Implemented in TextfileWindow.

Referenced by FindMissingGlyphs().

virtual void MissingGlyphSearcher::Reset | ( |  | ) |
| pure virtual

Reset the search, i.e.

begin from the beginning again.

Implemented in TextfileWindow.

Referenced by FindMissingGlyphs().

virtual void MissingGlyphSearcher::SetFontNames | ( | struct FreeTypeSettings * | settings,
|  | const char * | font_name
| ) |  |
| pure virtual

Set the right font names.

Parameters

  settings | The settings to modify.
  font_name | The new font name.

Implemented in TextfileWindow.

Referenced by SetFallbackFont().

The documentation for this class was generated from the following files:

- src/strings_func.h
- src/strings.cpp